config/routes.rb
Rails.application.routes.draw do
  devise_for :users, :controllers => { :omniauth_callbacks => "users/omniauth_callbacks" }
  root to: 'pages#dashboard'
  namespace :cv do
    root to: 'pages#dashboard'
    resources :profiles
    resources :work_experiences
    resources :educations
    resources :certificates
    resources :skills
  end
  namespace :inspiration do
    root to: 'pages#dashboard'
    resources :technologies
    resources :tools
  end

  namespace :blog do
    root to: 'pages#dashboard'
    resources :articles
  end

end

app/controllers/blog/articles_controller.rb
class Blog::ArticlesController < ApplicationController
  before_action :set_title

  def index
    @articles = current_user.articles
  end

  def show
    @article = Article.find(params[:id])
  end

  def new
    @article = Article.new
  end

  def create
    @article = Article.new(article_params)
    @article.user_id = current_user.id
    if @article.save
      redirect_to blog_root_path
    else
      render :new
    end
  end

  def edit
    @article = Article.find(params[:id])
  end

  def update
  end

  def destroy
  end

  private

  def set_title
    @title = 'Artikelen'
  end

  def article_params
    params.require(:article).permit(:title, :summary, :content, :image)
  end
end

app/controllers/blog/pages_controller.rb
class Blog::PagesController < ApplicationController
  before_action :set_title

  def dashboard
    @articles = current_user.articles
  end

  private
  def set_title
    @title = 'Blog'
  end
end

app/views/blog/pages/dashboard.html.haml
= link_to "#{t('actions.new')}", new_blog_article_path, class: 'btn success-color create-btn'

%section.py-4.text-center.text-lg-left
  - @articles.each do |article|
    .view.overlay.hm-white-slight.rounded.z-depth-2
      .row
        .col-lg-4.col-xl-4.pb-3
          %img.img-fluid{src: article.image}
          %a.green-text{:href => ""}
            %h6.font-bold.pb-1
              %i.fa.fa-cutlery
              Categorie
          %p
            %a
              %strong= current_user.name
          = link_to "#{t('actions.read_more')}", blog_article_path(article), class: 'btn success-color create-btn'
          = link_to "#{t('actions.edit')}", edit_blog_article_path(article), class: 'btn default-color create-btn'


        .col-lg-4.col-xl-4
          %h3.mb-4.font-bold.dark-grey-text
            %strong= article.title
          %p= article.summary
    %br